## org.eclipse.emf.ecore.util
Class DelegatingNotifyingInternalEListImpl<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, NotifyingList<E>, EList<E>, InternalEList<E>

Direct Known Subclasses:
  DelegatingEcoreEList

    public abstract class DelegatingNotifyingInternalEListImpl<E>

extends DelegatingNotifyingListImpl<E>
implements InternalEList<E>

A `delegating notifying list` that implements `InternalEList`.

Since:
  2.4
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>, DelegatingEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DelegatingNotifyingInternalEListImpl()`
`DelegatingNotifyingInternalEListImpl(java.util.Collection<? extends E> collection)`

Method Summary
`boolean` `basicContains(java.lang.Object object)` Returns whether the object is contained within the list of unresolved values.
`boolean` `basicContainsAll(java.util.Collection<?> collection)` Returns whether each object in the collection is contained within the list of unresolved values.
`E` `basicGet(int index)` Returns the object at the index without `resolving` it.
`int` `basicIndexOf(java.lang.Object object)` Returns the index of the object within the list of unresolved values.
`java.util.Iterator<E>` `basicIterator()` Returns a read-only iterator that does not `resolve` objects.
`int` `basicLastIndexOf(java.lang.Object object)` Returns the last index of the object within the list of unresolved values.
`java.util.List<E>` `basicList()` Returns an unsafe list that provides a `non-resolving` view of the backing store list.
`java.util.ListIterator<E>` `basicListIterator()` Returns a read-only list iterator that does not `resolve` objects.
`java.util.ListIterator<E>` `basicListIterator(int index)` Returns a read-only list iterator advanced to the given index that does not `resolve` objects.
`java.lang.Object[]` `basicToArray()` Returns the array with unresolved values.

`

`<T> T[]`

`

`basicToArray(T[] array)`
Returns the array with unresolved values.

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, canContainNull, clear, createNotification, createNotification, createNotificationChain, dispatchNotification, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeature, getFeatureID, getFeatureID, getNotifier, hasInverse, hasShadow, inverseAdd, inverseRemove, isNotificationRequired, isSet, move, remove, removeAll, resolve, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList

`add, add, addAll, addAll, contains, containsAll, delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, didAdd, didChange, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, indexOf, isEmpty, isUnique, iterator, lastIndexOf, listIterator, listIterator, move, remove, resolve, retainAll, set, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### DelegatingNotifyingInternalEListImpl

    public DelegatingNotifyingInternalEListImpl()

### DelegatingNotifyingInternalEListImpl

    public DelegatingNotifyingInternalEListImpl(java.util.Collection<? extends E> collection)

Method Detail

### basicContains

    public boolean basicContains(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Returns whether the object is contained within the list of unresolved values.

  Specified by:
    `basicContains` in interface `InternalEList<E>`

### basicContainsAll

    public boolean basicContainsAll(java.util.Collection<?> collection)

  Description copied from interface: `InternalEList`
  Returns whether each object in the collection is contained within the list of unresolved values.

  Specified by:
    `basicContainsAll` in interface `InternalEList<E>`

### basicIndexOf

    public int basicIndexOf(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Returns the index of the object within the list of unresolved values.

  Specified by:
    `basicIndexOf` in interface `InternalEList<E>`

### basicLastIndexOf

    public int basicLastIndexOf(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Returns the last index of the object within the list of unresolved values.

  Specified by:
    `basicLastIndexOf` in interface `InternalEList<E>`

### basicToArray

    public java.lang.Object[] basicToArray()

  Description copied from interface: `InternalEList`
  Returns the array with unresolved values.

  Specified by:
    `basicToArray` in interface `InternalEList<E>`

### basicToArray

    public <T> T[] basicToArray(T[] array)

  Description copied from interface: `InternalEList`
  Returns the array with unresolved values.

  Specified by:
    `basicToArray` in interface `InternalEList<E>`

### basicGet

    public E basicGet(int index)

  Description copied from class: `DelegatingEList`
  Returns the object at the index without `resolving` it.

  Specified by:
    `basicGet` in interface `InternalEList<E>`
  Overrides:
    `basicGet` in class `DelegatingEList<E>`
  Parameters:
    `index` - the position in question.
  Returns:
    the object at the index.
  See Also:
    `DelegatingEList.resolve(int, E)`, `DelegatingEList.get(int)`

### basicList

    public java.util.List<E> basicList()

  Description copied from class: `DelegatingEList`
  Returns an unsafe list that provides a `non-resolving` view of the backing store list.

  Specified by:
    `basicList` in interface `InternalEList<E>`
  Overrides:
    `basicList` in class `DelegatingEList<E>`
  Returns:
    an unsafe list that provides a non-resolving view of the backing store list.

### basicIterator

    public java.util.Iterator<E> basicIterator()

  Description copied from class: `DelegatingEList`
  Returns a read-only iterator that does not `resolve` objects. This implementation allocates a `DelegatingEList.NonResolvingEIterator`.

  Specified by:
    `basicIterator` in interface `InternalEList<E>`
  Overrides:
    `basicIterator` in class `DelegatingEList<E>`
  Returns:
    a read-only iterator that does not resolve objects.

### basicListIterator

    public java.util.ListIterator<E> basicListIterator()

  Description copied from class: `DelegatingEList`
  Returns a read-only list iterator that does not `resolve` objects. This implementation allocates a `DelegatingEList.NonResolvingEListIterator`.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`
  Overrides:
    `basicListIterator` in class `DelegatingEList<E>`
  Returns:
    a read-only list iterator that does not resolve objects.

### basicListIterator

    public java.util.ListIterator<E> basicListIterator(int index)

  Description copied from class: `DelegatingEList`
  Returns a read-only list iterator advanced to the given index that does not `resolve` objects. This implementation allocates a `DelegatingEList.NonResolvingEListIterator`.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`
  Overrides:
    `basicListIterator` in class `DelegatingEList<E>`
  Parameters:
    `index` - the starting index.
  Returns:
    a read-only list iterator advanced to the index.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.